aboutsummaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2018-07-19 08:32:00 -0400
committerNick Mathewson <nickm@torproject.org>2018-07-19 08:32:00 -0400
commitb44fce67163cadbb951005416808b9b217c67639 (patch)
tree1663e35d4271287120a6610b2e8cbdc546e5072d /src/test
parent144fc9bef19f63586952cfe5f5688ce1f02e87be (diff)
parent27f5bd52fea3a18daadc455e9e044e997753c93d (diff)
downloadtor-b44fce67163cadbb951005416808b9b217c67639.tar.gz
tor-b44fce67163cadbb951005416808b9b217c67639.zip
Merge branch 'maint-0.3.4'
Diffstat (limited to 'src/test')
-rwxr-xr-xsrc/test/test_key_expiration.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 5511dbf18c..cf6608634d 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -13,6 +13,14 @@ if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
fi
fi
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+ test "$UNAME_OS" = 'MSYS' || \
+ test "$UNAME_OS" = 'MINGW'; then
+ echo "This test is unreliable on Windows. See trac #26076. Skipping." >&2
+ exit 77
+fi
+
if [ $# -ge 1 ]; then
TOR_BINARY="${1}"
shift